Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec
Class ECPoint.Fp

    java.lang.Object
      org.bouncycastle.math.ec.ECPoint
          org.bouncycastle.math.ec.ECPoint.Fp

Enclosing class:
  ECPoint

public static class ECPoint.Fp
extends ECPoint

Elliptic curve points over Fp

Nested Class Summary

Nested classes inherited from class org.bouncycastle.math.ec.ECPoint
`ECPoint.F2m, ECPoint.Fp`

Constructor Summary
`ECPoint.Fp(ECCurve curve, ECFieldElement x, ECFieldElement y)`

Method Summary
`ECPoint` | `add(ECPoint b)`
`byte[]` | `getEncoded()` return the field element encoded with point compression.
`ECPoint` | `multiply(java.math.BigInteger k)`
`ECPoint` | `subtract(ECPoint p2)`
`ECPoint` | `twice()`

Methods inherited from class org.bouncycastle.math.ec.ECPoint
`equals, getX, getY`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPoint.Fp

    public ECPoint.Fp(ECCurve curve,
                      ECFieldElement x,
                      ECFieldElement y)

Method Detail

### getEncoded

    public byte[] getEncoded()

  return the field element encoded with point compression. (S 4.3.6)

  Specified by:
    `getEncoded` in class `ECPoint`

### add

    public ECPoint add(ECPoint b)

  Specified by:
    `add` in class `ECPoint`

### twice

    public ECPoint twice()

  Specified by:
    `twice` in class `ECPoint`

### subtract

    public ECPoint subtract(ECPoint p2)

  Specified by:
    `subtract` in class `ECPoint`

### multiply

    public ECPoint multiply(java.math.BigInteger k)

  Specified by:
    `multiply` in class `ECPoint`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD